
package de.ivu.elect.jee.presentation.dynamicform;

public enum PropertyFilterMatchMode {

  CUSTOM {

    @Override
    public String getFilterMatchModeText() {
      return "custom";
    }
  },
  CONTAINS {

    @Override
    public String getFilterMatchModeText() {
      return "contains";
    }
  },
  STARTS_WITH {

    @Override
    public String getFilterMatchModeText() {
      return "startsWith";
    }
  },
  ENDS_WITH {

    @Override
    public String getFilterMatchModeText() {
      return "endsWith";
    }
  };

  private PropertyFilterMatchMode() {
  }

  public abstract String getFilterMatchModeText();
}
